Search for annotations

Base URL
https://{kibana_url}
Auth

Search for annotations related to a specific service.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

serviceName string required

The name of the service

Query parameters

environment string

The environment to filter annotations by

start string · format: date-time

The start date for the search

Example: 2024-01-01T00:00:00.000Z
end string · format: date-time

The end date for the search

Example: 2024-01-31T23:59:59.999Z

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31

Responses

Successful response

application/json
Base URL
https://{kibana_url}